﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

public enum EOrderStatus
{
    /// <summary>
    /// 待受理
    /// </summary>
    [Description("待受理")]
    WaitForAccept = 0,

    /// <summary>
    /// 已开启流程,退回/撤回/跳转到开始节点
    /// 待受理，可编辑
    /// </summary>
    BackToUnAccept = 1,

    /// <summary>
    /// 办理中(20->10)
    /// </summary>
    [Description("办理中")]
    Handling = 10,

    /// <summary>
    /// 会签中(30->20)
    /// </summary>
    [Description("会签中")]
    Countersigning = 20,

    /// <summary>
    /// 已归档(60->30)
    /// </summary>
    [Description("已归档")]
    Filed = 30,

    /// <summary>
    /// 已发布
    /// </summary>
    [Description("已发布")]
    Published = 40,

    /// <summary>
    /// 已回访
    /// </summary>
    [Description("已回访")]
    Visited = 50,
}